Commit 4c65322b authored by Matthew Waters's avatar Matthew Waters 🐨

update-common: use the existing libav git submodule

We were still using the old name ffmpeg and thus the entirety of
ffmpeg was being downloaded every time the script was run.
parent 3fa2c9e3
......@@ -116,10 +116,10 @@ do
# avoid downloading libav submodule by re-using existing checkout
if test "$module" = "gst-libav"; then
if test -e $reference/gst-libav/gst-libs/ext/ffmpeg/.git ; then
git submodule update --reference $reference/gst-libav/gst-libs/ext/ffmpeg -- gst-libs/ext/gst-libav
elif test -e $topdir/gst-libav/gst-libs/ext/ffmpeg/.git ; then
git submodule update --reference $topdir/gst-libav/gst-libs/ext/ffmpeg/ -- gst-libs/ext/ffmpeg
if test -e $reference/gst-libav/gst-libs/ext/libav/.git ; then
git submodule update --reference $reference/gst-libav/gst-libs/ext/libav -- gst-libs/ext/libav
elif test -e $topdir/gst-libav/gst-libs/ext/libav/.git ; then
git submodule update --reference $topdir/gst-libav/gst-libs/ext/libav/ -- gst-libs/ext/libav
else
git submodule update
fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment